package com.ss.android.ugc.aweme.legoImp;

import X.C04537he;
import X.C51909g5;
import X.C52209gZ;
import X.Crj;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.ies.ugc.aweme.network.INetworkConfigProvider;

public final class NetworkConfigProvider implements INetworkConfigProvider {
    public final Crj LIZ = C04537he.LIZ(new C51909g5(this));

    static {
        Covode.recordClassIndex(90332);
    }

    public final C52209gZ LIZ() {
        return (C52209gZ) this.LIZ.getValue();
    }

    public static INetworkConfigProvider LIZIZ() {
        MethodCollector.i(3676);
        INetworkConfigProvider iNetworkConfigProvider = (INetworkConfigProvider) Lnj.LIZ(INetworkConfigProvider.class, false);
        if (iNetworkConfigProvider != null) {
            MethodCollector.o(3676);
            return iNetworkConfigProvider;
        }
        Object LIZIZ = Lnj.LIZIZ(INetworkConfigProvider.class, false);
        if (LIZIZ != null) {
            INetworkConfigProvider iNetworkConfigProvider2 = (INetworkConfigProvider) LIZIZ;
            MethodCollector.o(3676);
            return iNetworkConfigProvider2;
        }
        if (Lnj.LLLZLZ == null) {
            synchronized (INetworkConfigProvider.class) {
                try {
                    if (Lnj.LLLZLZ == null) {
                        Lnj.LLLZLZ = new NetworkConfigProvider();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3676);
                    throw th;
                }
            }
        }
        NetworkConfigProvider networkConfigProvider = (NetworkConfigProvider) Lnj.LLLZLZ;
        MethodCollector.o(3676);
        return networkConfigProvider;
    }
}
